<!DOCTYPE HTML>
<html>
	<head>

		<title>TradingView (node.js)</title>

		<!-- Fix for iOS Safari zooming bug -->
		<meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=1.0,minimum-scale=1.0">
		<meta http-equiv="X-UA-Compatible" content="IE=Edge">

		<!-- jQuery is not required to use Charting Library. It is used only for sample datafeed ajax requests. -->
		<script type="text/javascript" src="//code.jquery.com/jquery-1.11.2.min.js"></script>
        <!-- <script type="text/javascript" src="//code.jquery.com/jquery-2.2.4.min.js"></script> -->
        <script type="text/javascript" src="//code.jquery.com/jquery.simulate.js"></script>
        <script type="text/javascript" src="//code.jquery.com/jquery.simulate.ext.js"></script>
        <script type="text/javascript" src="//code.jquery.com/jquery.simulate.drag-n-drop.js"></script>
		<script>window.jQuery || document.write('<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"><\/script>')</script>
		<!-- <script type="text/javascript" src="charting_library/charting_library.min.js"></script> -->
		<script type="text/javascript" src="charting_library/datafeed/udf/datafeed.js"></script>
        <script type="text/javascript" src="https://s3.tradingview.com/tv.js"></script>

		<script type="text/javascript">

            new TradingView.widget({
                "fullscreen": true,
                // "autosize": true,
                "symbol": "POLONIEX:BTCUSDT",
                // "datafeed": "new Datafeeds.UDFCompatibleDatafeed("https://demo_feed.tradingview.com")",
                "interval": "15",
                // "timezone": "Europe/Berlin",
                "timezone": "exchange",
                "theme": "White",
                "style": "1",
                "container_id": "tv_chart_container",
                "locale": "en",
                "toolbar_bg": "#f1f3f6",
                "enable_publishing": false,
                "allow_symbol_change": true,
                "watchlist": [
                  "POLONIEX:BTCUSDT",
                  "POLONIEX:BCHUSDT",
                  "POLONIEX:BCHBTC",
                  "POLONIEX:ETHUSDT",
                  "POLONIEX:ETHBTC",
                  "POLONIEX:XMRBTC",
                  "POLONIEX:XMRUSDT",
                  "POLONIEX:XEMBTC",
                  "POLONIEX:LTCUSDT",
                  "POLONIEX:GNTUSD",
                  "POLONIEX:STEEMBTC",
                  "POLONIEX:ZRXUSD",
                  "POLONIEX:ZECUSDT",
                  "POLONIEX:NXTUSDT",
                  "POLONIEX:GNOBTC",
                  "OANDA:EURUSD",
                  "OANDA:EURGBP",
                  "OANDA:USDCNH",
                  "OANDA:USDTHB",
                  "FX_IDC:EURTHB",
                  "OANDA:XAUUSD",
                  "OANDA:XPDUSD",
                  "OANDA:CORNUSD",
                  "OANDA:BCOUSD",
                  "OANDA:SPX500USD",
                  "OANDA:DE30EUR",
                  "NASDAQ:GOOG",
                  "NASDAQ:HIMX",
                  "NASDAQ:TSLA",
                  "NASDAQ:AMD",
                ],
                "details": true,
                "hotlist": true,
                "hideideas": true
            })

            $("iframe").css("opacity", "0.3").css("pointer-events", "none");
            $("body").attr("style", "margin:0; overflow:hidden;");

            $("iframe").css("opacity", "1").css("pointer-events", "all");
            // $("body").attr("style", "margin:0; overflow:hidden;");
            $("iframe").contents().find(".dl-header").attr("style", "text-align:center; padding:0;");
            $("iframe").contents().find(".dl-header-price").attr("style", "display:block; font-size:44px; line-height:1em;");
            $("iframe").contents().find(".dl-header-change").attr("style", "display:block; font-size:24px; line-height:1em; margin-bottom:0;");
            $("iframe").contents().find(".symbol-list-item").attr("style", "height:auto;");
            $("iframe").contents().find(".symbol-list-item > div").attr("style", "margin:0;");
            $("iframe").contents().find(".symbol-list-item:even").css("background-color", "#eeeeee");

            // drag & drop handle to resize watchlist
            var $handle = $("iframe").contents().find(".widgetbar-handle");
            $handle.simulate("drag-n-drop", { dx: -120 });


            /*
            function getParameterByName(name) {
                name = name.replace(/[\[]/, "\\[").replace(/[\]]/, "\\]");
                var regex = new RegExp("[\\?&]" + name + "=([^&#]*)"),
                        results = regex.exec(location.search);
                return results === null ? "" : decodeURIComponent(results[1].replace(/\+/g, " "));
            }
            
			TradingView.onready(function()
			{
				var widget = window.tvWidget = new TradingView.widget({
					fullscreen: true,
					autosize: true,
					symbol: 'AAPL',
					interval: 'D',
					container_id: "tv_chart_container",
					//	BEWARE: no trailing slash is expected in feed URL
					datafeed: new Datafeeds.UDFCompatibleDatafeed("https://demo_feed.tradingview.com"),
					library_path: "charting_library/",
				    locale: getParameterByName('lang') || "en",
					// locale: "en",
					//	Regression Trend-related functionality is not implemented yet, so it's hidden for a while
					drawings_access: { type: 'black', tools: [ { name: "Regression Trend" } ] },
					disabled_features: ["use_localstorage_for_settings"],
					enabled_features: ["study_templates"],
					charts_storage_url: 'http://saveload.tradingview.com',
                    charts_storage_api_version: "1.1",
					client_id: 'tradingview.com',
					user_id: 'public_user_id'
				});
			});
            */

		</script>

	</head>

	<body style="margin:0px;">
		<div id="tv_chart_container" style="height:1000px;width:1000px"></div>
	</body>

</html>
